# SIPRegisterHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPRegisterHandler:

[legend]
Collaboration diagram for SIPRegisterHandler:
[legend]

## Public Member Functions

| SIPRegisterHandler (SIPEndPoint &ep, const SIPRegister::Params &params)
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual void | OnReceivedOK (SIPTransaction &transaction, SIP_PDU &response)
void | UpdateParameters (const SIPRegister::Params &params)
const SIPRegister::Params & | GetParams () const
const SIPURLList & | GetContacts () const
const SIPURLList & | GetServiceRoute () const

## Protected Member Functions

virtual PBoolean | SendRequest (SIPHandler::State state)
virtual void | SendStatus (SIP_PDU::StatusCodes code, State state)
PString | CreateRegisterContact (const OpalTransportAddress &address, int q)

## Protected Attributes

SIPRegister::Params | m_parameters
unsigned | m_sequenceNumber
SIPURLList | m_contactAddresses
SIPURLList | m_serviceRoute
OpalTransportAddress | m_externalAddress
PAtomicInteger::IntegerType | m_rfc5626_reg_id

## Constructor & Destructor Documentation

SIPRegisterHandler::SIPRegisterHandler | ( | SIPEndPoint & | ep,
|  | const SIPRegister::Params & | params |
| ) |  |  |

## Member Function Documentation

PString SIPRegisterHandler::CreateRegisterContact | ( | const OpalTransportAddress & | address,
|  | int | q |
| ) |  |  | `[protected]`

virtual SIPTransaction* SIPRegisterHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Reimplemented from SIPHandler.

const SIPURLList& SIPRegisterHandler::GetContacts | ( |  | ) | const`[inline]`

const SIPRegister::Params& SIPRegisterHandler::GetParams | ( |  | ) | const`[inline]`

const SIPURLList& SIPRegisterHandler::GetServiceRoute | ( |  | ) | const`[inline]`

virtual void SIPRegisterHandler::OnReceivedOK | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented from SIPHandler.

virtual PBoolean SIPRegisterHandler::SendRequest | ( | SIPHandler::State | state | ) | `[protected, virtual]`

Reimplemented from SIPHandler.

virtual void SIPRegisterHandler::SendStatus | ( | SIP_PDU::StatusCodes | code,
|  | State | state |
| ) |  |  | `[protected, virtual]`

void SIPRegisterHandler::UpdateParameters | ( | const SIPRegister::Params & | params | ) |

## Field Documentation

SIPURLList SIPRegisterHandler::m_contactAddresses `[protected]`

OpalTransportAddress SIPRegisterHandler::m_externalAddress `[protected]`

SIPRegister::Params SIPRegisterHandler::m_parameters `[protected]`

PAtomicInteger::IntegerType SIPRegisterHandler::m_rfc5626_reg_id `[protected]`

unsigned SIPRegisterHandler::m_sequenceNumber `[protected]`

SIPURLList SIPRegisterHandler::m_serviceRoute `[protected]`

The documentation for this class was generated from the following file:

- handlers.h